# $Id: libmthca.spec.in 2136 2005-04-07 21:26:32Z roland $

%define prefix /usr
%define ver      1.0-rc1
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: Mellanox InfiniBand HCA Userspace Driver
Name: libmthca
Version: %ver
Release: %rel
Copyright: Dual GPL/BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://openib.org/downloads/%{name}-%{version}.tar.gz
Url: http://openib.org/
Requires: libibverbs

%description
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex).

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libmthca*.so.*
%doc AUTHORS COPYING ChangeLog NEWS README
